Subject: DISMAN-SCRIPT-MIB extensions

From: [email-masked]
Date: Fri, 25 Jun 1999 16:45:15 -0400 (EDT)

Hello again,

Awhile back I asked the following questions about the DISMAN-SCRIPT-MIB:

1.  Is there any facility in the DISMAN-SCRIPT-MIB for automatically
    launching scripts at agent start-up; and

2.  Does the DISMAN-SCRIPT-MIB have any way to let a script run
    perpetually without automatic expiration.

To which Eamonn McManus responded:

>Extension number 1, very straightforward: if the name of a launch
>button starts with "*", then it is triggered on startup.  This doesn't
>require any change to the MIB, just a little extra interpretation.  It
>also fits in easily with the graphical script administration tool we
>created.
>
>Extension number 2, also very straightforward, and suggested elsewhere
>in the discussion: if a duration is specified as 4294967295 (the maximum
>value of a TimeTicks variable, not 2147483647 as suggested here) then
>instead of being interpreted as 497 days it is interpreted as infinite.
>It is not the Script MIB's business to guess whether the script will
>need or even be able to get further attention from the manager after
>its launch or not, so the argument that "a manager should take care
>and responsibility for the scripts that are running (and thus consuming
>resources)" is unconvincing.
>
>Again this extension doesn't require any changes to the MIB.

My solution to issue 1 was to define a proprietary MIB table that
specifies the scripts and arguments that are launched at agent 
start-up.  I did not have a solution to issue 2.

I like the simplicity of Eamonn McManus' solutions to both of these
issues, and will soon put these into SNMPRI's DISMAN-SCRIPT-MIB 
implementation.  At the same time, I'll ditch my proprietary MIB 
table for auto-launching scripts at agent start-up.  I expect that
SNMPRI will continue to track the evolving DISMAN-SCRIPT-MIB stan-
dard.  If the working group specifies a different resolution to 
these issues, I expect SNMPRI will implement the standard solution.

Regards,
--Alan
 
 -----------------------------------------------------------------------------
 Alan Luchuk       SNMP Research, Inc.                 Voice:  +1 423 573 1434
 Software Engineer 3001 Kimberlin Heights Road         FAX:    +1 423 573 9197
 [email-masked]   Knoxville, TN  37920-9716  U.S.A.   http://www.int.snmp.com/
 -----------------------------------------------------------------------------

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Tue, 29 Jun 1999 13:48:57 +0200

>>>>> luchuk  writes:

luchuk> Awhile back I asked the following questions about the
luchuk> DISMAN-SCRIPT-MIB:

luchuk> 1.  Is there any facility in the DISMAN-SCRIPT-MIB for
luchuk> automatically launching scripts at agent start-up; and

luchuk> 2.  Does the DISMAN-SCRIPT-MIB have any way to let a script
luchuk> run perpetually without automatic expiration.

[...]

Thanks for your input. I hope we will come to a resolution of these
two issues in Oslo so that we can all implement the same mechanism.
It is good to know your opinion about this.
							Juergen
-- 
Juergen Schoenwaelder  [email-masked] http://www.cs.tu-bs.de/~schoenw
Technical University Braunschweig, Dept. Operating Systems & Computer Networks
Bueltenweg 74/75, 38106 Braunschweig, Germany.        (Tel. +49 531 / 391 3289)